diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRaw.cpp	2025-04-04 16:34:42.716215719 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRaw.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 
 namespace WebCore {
@@ -55,3 +57,5 @@ CryptoKey::Data CryptoKeyRaw::data() con
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRaw.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRaw.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRaw.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRaw.h	2025-04-04 16:34:42.716603062 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoKey.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRaw final : public CryptoKey {
@@ -51,3 +53,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyRaw, CryptoKeyClass::Raw)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.cpp	2025-04-04 16:34:42.716995605 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSAComponents.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 CryptoKeyRSAComponents::CryptoKeyRSAComponents(const Vector<uint8_t>& modulus, const Vector<uint8_t>& exponent)
@@ -87,3 +89,5 @@ CryptoKeyRSAComponents::CryptoKeyRSAComp
 CryptoKeyRSAComponents::~CryptoKeyRSAComponents() = default;
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSAComponents.h	2025-04-04 16:34:42.717426080 -0500
@@ -27,11 +27,13 @@
 
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRSAComponents {
 public:
-    enum class Type : bool {
+    enum class Type {
         Public,
         Private
     };
@@ -109,3 +111,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSA.cpp	2025-04-04 16:34:42.717796070 -0500
@@ -30,6 +30,8 @@
 #include "JsonWebKey.h"
 #include <wtf/text/Base64.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 RefPtr<CryptoKeyRSA> CryptoKeyRSA::importJwk(CryptoAlgorithmIdentifier algorithm, std::optional<CryptoAlgorithmIdentifier> hash, JsonWebKey&& keyData, bool extractable, CryptoKeyUsageBitmap usages)
@@ -190,3 +192,5 @@ CryptoKey::Data CryptoKeyRSA::data() con
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSA.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSA.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyRSA.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyRSA.h	2025-04-04 16:34:42.718261602 -0500
@@ -29,6 +29,8 @@
 #include "ExceptionOr.h"
 #include <wtf/Function.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 #if OS(DARWIN) && !PLATFORM(GTK)
 #include "CommonCryptoUtilities.h"
 
@@ -108,3 +110,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyRSA, CryptoKeyClass::RSA)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoRsaHashedKeyAlgorithm.idl	2025-04-04 16:34:42.718585595 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoRsaHashedKeyAlgorithm : CryptoRsaKeyAlgorithm {
     // The hash algorithm that is used with this key
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoRsaKeyAlgorithm.idl	2025-04-04 16:34:42.718772829 -0500
@@ -26,6 +26,7 @@
 typedef Uint8Array BigInteger;
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoRsaKeyAlgorithm : CryptoKeyAlgorithm {
     // The length, in bits, of the RSA modulus
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDHOpenSSL.cpp	2025-04-04 16:34:42.719054483 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyEC.h"
 #include "OpenSSLUtilities.h"
 
@@ -59,3 +61,5 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmECDSAOpenSSL.cpp	2025-04-04 16:34:42.719503172 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
 #include "OpenSSLUtilities.h"
@@ -97,3 +99,5 @@ ExceptionOr<bool> CryptoAlgorithmECDSA::
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHKDFOpenSSL.cpp	2025-04-04 16:34:42.719934138 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include "OpenSSLUtilities.h"
@@ -47,3 +49,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmHMACOpenSSL.cpp	2025-04-04 16:34:42.720356006 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyHMAC.h"
 #include "OpenSSLCryptoUniquePtr.h"
 #include "OpenSSLUtilities.h"
@@ -83,3 +85,5 @@ ExceptionOr<bool> CryptoAlgorithmHMAC::p
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmPBKDF2OpenSSL.cpp	2025-04-04 16:34:42.720410691 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include "OpenSSLUtilities.h"
@@ -51,3 +53,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRegistryOpenSSL.cpp	2025-04-04 16:34:42.721170498 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+-#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCBC.h"
 #include "CryptoAlgorithmAESCFB.h"
 #include "CryptoAlgorithmAESCTR.h"
@@ -68,3 +69,5 @@ void CryptoAlgorithmRegistry::platformRe
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_OAEPOpenSSL.cpp	2025-04-04 16:34:42.721611483 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaOaepParams.h"
 #include "CryptoKeyRSA.h"
 #include "OpenSSLUtilities.h"
@@ -131,3 +133,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSA_PSSOpenSSL.cpp	2025-04-04 16:34:42.722049472 -0500
@@ -26,7 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 #include "CryptoAlgorithmRsaPssParams.h"
 #include "CryptoKeyRSA.h"
@@ -119,4 +119,4 @@ ExceptionOr<bool> CryptoAlgorithmRSA_PSS
 
 } // namespace WebCore
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoAlgorithmRSASSA_PKCS1_v1_5OpenSSL.cpp	2025-04-04 16:34:42.722434411 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "OpenSSLUtilities.h"
 
@@ -95,3 +97,5 @@ ExceptionOr<bool> CryptoAlgorithmRSASSA_
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoKeyECOpenSSL.cpp	2025-04-04 16:34:42.722836181 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "JsonWebKey.h"
 #include "OpenSSLUtilities.h"
 #include <wtf/text/Base64.h>
@@ -458,3 +460,5 @@ Vector<uint8_t> CryptoKeyEC::platformExp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/CryptoKeyRSAOpenSSL.cpp	2025-04-04 16:34:42.723327071 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "CryptoKeyPair.h"
 #include "CryptoKeyRSAComponents.h"
@@ -402,3 +404,5 @@ std::unique_ptr<CryptoKeyRSAComponents>
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.cpp	2025-04-04 16:34:42.723410746 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "OpenSSLUtilities.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "OpenSSLCryptoUniquePtr.h"
 
 namespace WebCore {
@@ -132,3 +134,6 @@ AESKey::~AESKey()
 }
 
 } // namespace WebCore
+
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/OpenSSLUtilities.h webkitgtk-2.48.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/OpenSSLUtilities.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/OpenSSLUtilities.h	2025-04-04 16:34:42.724130892 -0500
@@ -33,6 +33,8 @@
 #include <wtf/Noncopyable.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 const EVP_MD* digestAlgorithm(CryptoAlgorithmIdentifier hashFunction);
@@ -59,3 +61,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp webkitgtk-2.48.0/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp	2025-04-04 16:34:42.724532893 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "SerializedCryptoKeyWrap.h"
 
+-#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCTR.h"
 #include "NotImplemented.h"
 #include "WrappedCryptoKey.h"
@@ -66,3 +67,5 @@ std::optional<Vector<uint8_t>> unwrapCry
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesCbcCfbParams.idl	2025-04-04 16:34:42.724836178 -0500
@@ -27,6 +27,7 @@
 // https://www.w3.org/TR/WebCryptoAPI/#dfn-AesCbcParams, and
 // https://www.w3.org/TR/2014/CR-WebCryptoAPI-20141211/#dfn-AesCfbParams
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesCbcCfbParams
 ] dictionary AesCbcCfbParams : CryptoAlgorithmParameters {
     // The initialization vector. MUST be 16 bytes.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesCtrParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesCtrParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesCtrParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesCtrParams.idl	2025-04-04 16:34:42.725184256 -0500
@@ -23,6 +23,7 @@
 */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesCtrParams
 ] dictionary AesCtrParams : CryptoAlgorithmParameters {
     // The initial value of the counter block. counter MUST be 16 bytes
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesGcmParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesGcmParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesGcmParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesGcmParams.idl	2025-04-04 16:34:42.725497279 -0500
@@ -23,6 +23,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesGcmParams
 ] dictionary AesGcmParams : CryptoAlgorithmParameters {
     // The initialization vector to use. May be up to 2^64-1 bytes long.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesKeyParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesKeyParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/AesKeyParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/AesKeyParams.idl	2025-04-04 16:34:42.725712316 -0500
@@ -27,6 +27,7 @@
 // https://www.w3.org/TR/WebCryptoAPI/#aes-derivedkey-params, and
 // https://www.w3.org/TR/WebCryptoAPI/#aes-keygen-params
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmAesKeyParams
 ] dictionary AesKeyParams : CryptoAlgorithmParameters {
     // The length, in bits, of the key.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCbcCfbParams.h	2025-04-04 16:34:42.725967279 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams final : public CryptoAlgorithmParameters {
@@ -63,3 +65,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesCbcCfbParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesCtrParams.h	2025-04-04 16:34:42.726397774 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCtrParams final : public CryptoAlgorithmParameters {
@@ -65,3 +67,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesCtrParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesGcmParams.h	2025-04-04 16:34:42.726773154 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesGcmParams final : public CryptoAlgorithmParameters {
@@ -83,3 +85,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesGcmParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmAesKeyParams.h	2025-04-04 16:34:42.727090195 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesKeyParams final : public CryptoAlgorithmParameters {
@@ -40,3 +42,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(AesKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdhKeyDeriveParams.h	2025-04-04 16:34:42.727261629 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKey;
@@ -42,3 +44,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcdhKeyDeriveParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcdsaParams.h	2025-04-04 16:34:42.727485493 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcdsaParams final : public CryptoAlgorithmParameters {
@@ -54,3 +56,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcdsaParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmEcKeyParams.h	2025-04-04 16:34:42.727826218 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcKeyParams final : public CryptoAlgorithmParameters {
@@ -49,3 +51,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(EcKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHkdfParams.h	2025-04-04 16:34:42.728097511 -0500
@@ -31,6 +31,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmHkdfParams final : public CryptoAlgorithmParameters {
@@ -81,3 +83,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(HkdfParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmHmacKeyParams.h	2025-04-04 16:34:42.728505524 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmParameters.h"
 #include <JavaScriptCore/JSObject.h>
 #include <JavaScriptCore/Strong.h>
@@ -56,3 +58,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(HmacKeyParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h	2025-04-04 16:34:42.728882477 -0500
@@ -31,6 +31,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmPbkdf2Params final : public CryptoAlgorithmParameters {
@@ -71,3 +73,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(Pbkdf2Params)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h	2025-04-04 16:34:42.729321749 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaHashedImportParams final : public CryptoAlgorithmParameters {
@@ -54,3 +56,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaHashedImportParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h	2025-04-04 16:34:42.729410855 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaHashedKeyGenParams final : public CryptoAlgorithmRsaKeyGenParams {
@@ -44,3 +46,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaHashedKeyGenParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h	2025-04-04 16:34:42.730019319 -0500
@@ -29,6 +29,8 @@
 #include <JavaScriptCore/Uint8Array.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaKeyGenParams : public CryptoAlgorithmParameters {
@@ -54,3 +56,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaKeyGenParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h	2025-04-04 16:34:42.730468680 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaOaepParams final : public CryptoAlgorithmParameters {
@@ -69,3 +71,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaOaepParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h	2025-04-04 16:34:42.730811249 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaPssParams final : public CryptoAlgorithmParameters {
@@ -49,3 +51,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaPssParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h	2025-04-04 16:34:42.730984066 -0500
@@ -26,6 +26,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmX25519Params final : public CryptoAlgorithmParameters {
@@ -38,3 +40,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(X25519Params)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl	2025-04-04 16:34:42.731143668 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmEcdhKeyDeriveParams,
 ] dictionary EcdhKeyDeriveParams : CryptoAlgorithmParameters {
     // We should rename this to public once https://bugs.webkit.org/show_bug.cgi?id=169333 is fixed.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/EcdsaParams.idl webkitgtk-2.48.0/Source/WebCore/crypto/parameters/EcdsaParams.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/parameters/EcdsaParams.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/parameters/EcdsaParams.idl	2025-04-04 16:34:42.731299813 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmEcdsaParams
 ] dictionary EcdsaParams : CryptoAlgorithmParameters {
     // The hash algorithm to use
